<!-- <ng-template [ngIf]="this.member"> -->
<div *ngIf="this.member" class="container p-1">
  <hr>

  <h3>Member Profile</h3>

  <hr>
  <div class="row mb-1 p-3">
    <div class="user-avatar">
      <img class="img col" src="https://cdn-images-1.medium.com/max/1200/1*MccriYX-ciBniUzRKAUsAw.png">
    </div>
    <div class="col">
      <h4 class="font-weight-bold">{{ this.member.name }}</h4>
      <span>{{this.member.role}}</span>
      <br>
      <a href="mailto:{{member.email}}" *ngIf="this.member.name!==this.loggedMemberName">Email
        {{ this.member.name }}</a>
      <div *ngIf="showFriendButton">
        <app-add-friend [member]="this.member" (friend)="friendMember($event)"></app-add-friend>
      </div>
      <div *ngIf="showUnfriendButton">
        <app-remove-friend [member]="this.member" (unfriend)="unfriendMember($event)"></app-remove-friend>
      </div>
    </div>
    
    <div *ngIf="this.showBanButton" class="col form-group">
      Reason for ban:<input [(ngModel)]="description" ngModel type="text" class="form-control"
        placeholder="Reason for ban">
      <app-ban title="ban member" (ban)="banMember()"></app-ban>
    </div>
    <div class="col" *ngIf="this.showDeleteButton">
        <app-delete title="delete member" (delete)="deleteMember()"></app-delete>
      </div>
  </div>
  <ngb-accordion [closeOthers]="true">
    <ngb-panel id="static-1">
      <ng-template ngbPanelTitle>
        <h6 class="row mb-1 p-3"> {{ this.member.name }}'s Friends </h6>
      </ng-template>
      <ng-template ngbPanelContent>
        <app-member-table [members]="member.friends"></app-member-table>
      </ng-template>
      <!-- <ng-template ngbPanelContent *ngIf="!members">
          It looks like this user has no friends yet. Be the first to befriend them! :)
        </ng-template> -->
    </ngb-panel>
    <ngb-panel id="static-2">
      <ng-template ngbPanelTitle>
        <h6 class="row mb-1 p-3"> {{this.member.name}}'s Posts </h6>
      </ng-template>
      <ng-template ngbPanelContent>
        <app-post-table [posts]="member.posts"></app-post-table>
      </ng-template>
    </ngb-panel>
  </ngb-accordion>

</div>
<!-- </ng-template> -->


<!-- <h4 class="row mb-1 p-3"> {{this.member.name}}'s Posts List</h4>
    <app-post-table [posts]="member.posts"></app-post-table> -->

<!--  <div class="row mb-1" *ngFor="let friend of friends">
                <a routerLink="../{{ friend.id }}">{{ friend.name }}</a>
              </div> -->
<!-- <div class="row mb-1" *ngFor="let post of posts">
      <a routerLink="../../posts/{{ post.id }}">{{ post.title }}</a>
    </div> -->
